# Interface ILaunchesListener2

All Superinterfaces:
  `ILaunchesListener`

public interface ILaunchesListener2 extends ILaunchesListener
Enhancements to the launches listener interface. Provides notification when one or more launches terminate.

Clients implementing launches listener may implement this interface.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`void`
`launchesTerminated(ILaunch[] launches)`
Notification that the given launches have terminated.

### Methods inherited from interface ILaunchesListener

`launchesAdded, launchesChanged, launchesRemoved`

## Method Details

### launchesTerminated

void launchesTerminated(ILaunch[] launches)
Notification that the given launches have terminated.

Parameters:
  `launches` - the launches that have terminated